<template>
  <!-- 弹出框表单 -->
  <el-drawer
    :title="title"
    :visible.sync="open"
    :direction="direction"
    size="50%"
  >
    <el-form ref="form" :model="form" :rules="rules" label-width="120px">
      <el-row>
        <Field
          label="班次ID"
          prop="shiftsId"
          v-model="form.shiftsId"
          placeholder="请输入班次ID"
        />
        <Field
          label="班次名称"
          prop="shiftsName"
          v-model="form.shiftsName"
          placeholder="请输入班次名称"
        />
        <Field
          label="上班打卡时间"
          prop="goWorkDate"
          v-model="form.goWorkDate"
          type="date"
        />
        <Field
          label="上班打卡前时间段,单位分钟"
          prop="goWorkDateBefore"
          v-model="form.goWorkDateBefore"
          placeholder="请输入上班打卡前时间段,单位分钟"
        />
        <Field
          label="上班打卡前时间段,单位分钟"
          prop="goWorkDateAfter"
          v-model="form.goWorkDateAfter"
          placeholder="请输入上班打卡前时间段,单位分钟"
        />
        <Field
          label="下班打卡时间"
          prop="offWorkDate"
          v-model="form.offWorkDate"
          type="date"
        />
        <Field
          label="下班打卡前时间段,单位分钟"
          prop="offWorkDateBefore"
          v-model="form.offWorkDateBefore"
          placeholder="请输入下班打卡前时间段,单位分钟"
        />
        <Field
          label="下班打卡前时间段,单位分钟"
          prop="offWorkDateAfter"
          v-model="form.offWorkDateAfter"
          placeholder="请输入下班打卡前时间段,单位分钟"
        />
        <Field
          label="备注"
          prop="remark"
          v-model="form.remark"
          type="textarea"
          placeholder="请输入备注"
        />
      </el-row>

      <form-buttons @submit="submitForm" noCancelBtn />
    </el-form>
  </el-drawer>
</template>

<script>
import form from "@/assets/mixins/formdialog";
export default {
  name: "AttendanceClassDetailDetail",
  mixins: [form],
  components: {},
  created() {
    this.changePath("attendance/class/detail");
  },
  data() {
    return {
      // 遮罩层
      loading: true,
      // 弹出层标题
      title: "考勤班次详细信息",
      // 是否显示弹出层
      open: false,
      direction: "rtl",
      toString: [],
      toDate: ["goWorkDate", "offWorkDate"],
      // 表单校验
      rules: {
        createTime: [{ required: true, message: "请选择创建时间" }],
      },
    };
  },

  methods: {
    /** 编辑 */
    edit(row) {
      this.reset();
      this.query = { id: row.id };
      this.urls.currUrl = "attendance/class/detail/edit";
      this.getData();
      this.pageInfo.type = "edit";
      this.title = "修改考勤班次详细信息";
    },
    /** 新增 */
    add(row) {
      this.reset();
      this.urls.currUrl = "attendance/class/detail/add";
      this.getData();
      this.pageInfo.type = "add";
      this.title = "新增考勤班次详细信息";
    },
    /** 查看*/
    view(row) {
      this.reset();
      this.query = { id: row.id };
      this.urls.currUrl = "attendance/class/detail/view";
      this.getData();
      this.pageInfo.type = "view";
      this.title = "考勤班次详细信息详细";
    },
    /**取消按钮 */
    cancel() {
      this.open = false;
    },
    /**获取数据后弹框 */
    afterRender(data) {
      this.open = true;
    },

    afterSubmit(data) {
      this.open = false;
      this.$emit("ok");
    },

    // 表单重置
    reset() {
      this.form = {
        shiftsId: null,
        shiftsName: "",
        goWorkDate: null,
        goWorkDateBefore: null,
        goWorkDateAfter: null,
        offWorkDate: null,
        offWorkDateBefore: null,
        offWorkDateAfter: null,
        remark: "",
      };
      this.resetForm("form");
    },
    resetForm(refName) {
      if (this.$refs[refName]) {
        this.$refs[refName].resetFields();
      }
    },
  },
};
</script>
